/**
 * sessionStorage 操作对象
 */
import encodeURL from '../secure/encodeURL';
import decodeURL from '../secure/decodeURL';
export default {
    /**
     * [description]
     * @param  {[type]} key   [description]
     * @param  {[type]} value [description]
     * @return {[type]}       [description]
     */
    set: function (key, value) {
        key = encodeURL(key);
        sessionStorage.setItem(key, encodeURL(value));
    },
    /**
     * [description]
     * @param  {[type]} key [description]
     * @return {[type]}     [description]
     */
    get: function (key) {
        key = encodeURL(key);
        // debugger
        if (sessionStorage.hasOwnProperty(key)) {
            // debugger
            return decodeURL(sessionStorage.getItem(key));
        }
        else {
            return false;
        }
    },
    /**
     * [description]
     * @param  {[type]} key [description]
     * @return {[type]}     [description]
     */
    remove: function (key) {
        key = encodeURL(key);
        if (sessionStorage.hasOwnProperty(key)) {
            sessionStorage.removeItem(key);
            return true;
        }
        else {
            return false;
        }
    },
    /**
     * [description]
     * @return {[type]} [description]
     */
    clear: function () {
        sessionStorage.clear();
    }
};
