import { PlainRoute, RouterState } from 'react-router';
export interface Route extends PlainRoute {
    breadcrumbName?: string;
    component: any;
    path?: string;
    indexRoute?: Route;
    childRoutes?: Route[];
    getChildRoutes?: any;
    getComponents?: any;
    getIndexRoute?: any;
}
export interface Component {
    default: any;
}
export interface RouteModule {
    default: PlainRoute;
}
export declare function createRoutes(routes: Route): Route;
export declare function childRoutesUtil(arr: Route[]): (next: RouterState, cb: Function) => void;
export declare function indexRouteUtil(per: Route): (next: RouterState, cb: Function) => void;
export declare function componentsUtil(per: Promise<Component>): (next: RouterState, cb: Function) => void;
